
%global meadversion 2.0.2
%global namedversion 2.0.2.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jgroups-azure}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.2.Final-redhat-00002

Name:           %{?scl_prefix}jgroups-azure
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JGroups Azure
Group:          Development/Java

%if %with mead
Source100: jgroups-azure-parent-2.0.2.Final-redhat-00002-project-sources.tar.gz
Source102: jgroups-azure-2.0.2.Final-redhat-00002.jar
Source103: jgroups-azure-parent-2.0.2.Final-redhat-00002.pom
Source104: jgroups-azure-2.0.2.Final-redhat-00002.pom
Source105: jgroups-azure-2.0.2.Final-redhat-00002-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/rhusar/jgroups-azure-ping
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Implementation of the JGroups Discovery protocol for Azure based on blob storage
service.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jgroups-azure
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jgroups-azure-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jgroups-azure-%{namedversion}.jar %{buildroot}%{_javadir}/jgroups-azure-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jgroups-azure-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jgroups-azure-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jgroups-azure-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jgroups-azure-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jgroups-azure-%{namedversion}
unzip -qq %{_sourcedir}/jgroups-azure-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jgroups-azure-%{namedversion} -x META-INF/\*
%{__ln_s} jgroups-azure-%{namedversion} %{buildroot}%{_javadocdir}/jgroups-azure
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jgroups-azure
%defattr(0644,root,root,0755)
%doc DESIGN.md LICENSE README.md
%{_javadir}/jgroups-azure-%{namedversion}.jar
%{_javadir}/jgroups-azure.jar
%if %with javadoc
%{_javadir}/jgroups-azure-%{namedversion}-javadoc.jar
%{_javadir}/jgroups-azure-javadoc.jar
%endif
%{_javadir}/jgroups-azure-%{namedversion}-sources.jar
%{_javadir}/jgroups-azure-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jgroups-azure-%{namedversion}
%{_javadocdir}/jgroups-azure
%endif

%changelog
* Mon Jun 12 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.0.2-1.Final_redhat_00002.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.3.1-3.Final_redhat_00001.1
- Built by CPaaS

* Wed Dec 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.3.1-2.Final_redhat_00001.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.3.1-1.Final_redhat_00001.1
- Built by CPaaS

